package com.unis.module.coding.service.caxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.caxx.vo.*;
import com.unis.module.coding.controller.admin.delivery.vo.DeliveryPageReqVO;
import com.unis.module.coding.controller.admin.delivery.vo.SparePageReqVO;
import com.unis.module.coding.controller.admin.delivery.vo.SpareRespVO;
import com.unis.module.coding.dal.dataobject.caxx.CaxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 仓廒信息; Service 接口
 *
 * @author 超级管理员
 */
public interface CaxxService {

    /**
     * 创建仓廒信息;
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCaxx(@Valid CaxxSaveReqVO createReqVO);

    /**
     * 更新仓廒信息;
     *
     * @param updateReqVO 更新信息
     */
    void updateCaxx(@Valid CaxxSaveReqVO updateReqVO);

    /**
     * 删除仓廒信息;
     *
     * @param id 编号
     */
    void deleteCaxx(Long id);

    /**
     * 获得仓廒信息;
     *
     * @param id 编号
     * @return 仓廒信息;
     */
    CaxxDO getCaxx(Long id);

    /**
     * 获得仓廒信息;分页
     *
     * @param pageReqVO 分页查询
     * @return 仓廒信息;分页
     */
    PageResult<CaxxDO> getCaxxPage(CaxxPageReqVO pageReqVO);

    PageResult<SpareRespVO> getDeliverySparePage(SparePageReqVO pageReqVO);

    PageResult<SpareRespVO> getIdentifySparePage(SparePageReqVO pageReqVO);

    PageResult<SpareRespVO> getSelectSparePage(SparePageReqVO pageReqVO);


    List<CaxxDO> getCaxxByKqBm();
}